Debian Bug report logs - #436267
linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Curt Howland <howland@priss.com>

Date: Mon, 6 Aug 2007 17:36:01 UTC

Severity: wishlist

Fixed in version 2.6.26-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-image-2.6.22-1-686. Full text and rfc822 format available.

Acknowledgement sent to Curt Howland <howland@priss.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Curt Howland <howland@priss.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Mon, 06 Aug 2007 13:32:15 -0400
Package: linux-image-2.6.22-1-686
Version: 2.6.22-3
Severity: wishlist


The IEEE1394 kernel drivers that have been built as modiles in prior
kernels have not been built with the kernel in the linux-image-2.6.22-1-686
package. Having these modules available without compiling a custom
kernel has been very useful in the past, would it be possible to enable
the IEEE1394 as loadable modules again please?

Here is the entire "firewire" section from /boot/config-2.6.22-1-686

# IEEE 1394 (FireWire) support
#
CONFIG_FIREWIRE=m
CONFIG_FIREWIRE_OHCI=m
CONFIG_FIREWIRE_SBP2=m
# CONFIG_IEEE1394 is not set
 


-- Package-specific info:
** Version:
Linux version 2.6.22-1-686 (Debian 2.6.22-3) (waldi@debian.org) (gcc version 4.1.3 20070718 (prerelease) (Debian 4.1.2-14)) #1 SMP Sun Jul 29 14:37:42 UTC 2007

** Tainted: PFSRMB

** Kernel log:
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xa00-0xaff: clean.
MC'97 1 converters and GPIO not ready (0xff00)
drivers/hid/usbhid/hid-core.c: usb_submit_urb(ctrl) failed
drivers/hid/usbhid/hid-core.c: timeout initializing reports
input: Logitech Logitech Attack 3 as /class/input/input4
input: USB HID v1.10 Joystick [Logitech Logitech Attack 3] on usb-0000:00:03.0-2
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
Adding 1510068k swap on /dev/hda5.  Priority:-1 extents:1 across:1510068k
EXT3 FS on hda1, internal journal
sonypi: Sony Programmable I/O Controller Driver v1.26.
sonypi: please try the sony-laptop module instead and report failures, see also http://www.linux.it/~malattia/wiki/index.php/Sony_drivers
sonypi: detected type2 model, verbose = 0, fnkeyinit = off, camera = off, compat = off, mask = 0xffffffff, useinput = on, acpi = on
sonypi: enabled at irq=11, port1=0x1080, port2=0x1084
sonypi: device allocated minor is 63
input: Sony Vaio Jogdial as /class/input/input5
input: Sony Vaio Keys as /class/input/input6
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
pcmcia: Detected deprecated PCMCIA ioctl usage from process: discover.
pcmcia: This interface will soon be removed from the kernel; please expect breakage unless you upgrade to new tools.
pcmcia: see http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html for details.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
hda: selected mode 0x45
hdc: selected mode 0x42
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Battery Slot [BAT2] (battery absent)
ACPI: AC Adapter [ACAD] (on-line)
input: Lid Switch as /class/input/input7
ACPI: Lid Switch [LID]
input: Power Button (CM) as /class/input/input8
ACPI: Power Button (CM) [PWRB]
lp0: using parport0 (interrupt-driven).
ppdev: user-space parallel port driver
ath0: no IPv6 routers present
powernow: This module only works with AMD K7 CPUs
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 23
NVRM: loading NVIDIA UNIX x86 Kernel Module  100.14.11  Wed Jun 13 18:21:22 PDT 2007
agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 8x mode
agpgart: SiS delay workaround: giving bridge time to recover.
agpgart: Putting AGP V3 device at 0000:01:00.0 into 8x mode
sd 0:0:0:1: [sdb] 2001888 512-byte hardware sectors (1025 MB)
sd 0:0:0:1: [sdb] Write Protect is off
sd 0:0:0:1: [sdb] Mode Sense: 00 00 00 00
sd 0:0:0:1: [sdb] Assuming drive cache: write through
sd 0:0:0:1: [sdb] 2001888 512-byte hardware sectors (1025 MB)
sd 0:0:0:1: [sdb] Write Protect is off
sd 0:0:0:1: [sdb] Mode Sense: 00 00 00 00
sd 0:0:0:1: [sdb] Assuming drive cache: write through
 sdb: sdb1
usb 4-1: USB disconnect, address 2
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: created new fw device fw1 (0 config rom retries)
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: created new fw device fw1 (0 config rom retries)
usb 2-2: new full speed USB device using ohci_hcd and address 2
usb 2-2: configuration #1 chosen from 1 choice
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 2 if 1 alt 0 proto 2 vid 0x03F0 pid 0x2911
usbcore: registered new interface driver usblp
drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver
usb-storage: device scan complete
scsi 2:0:0:0: Direct-Access     HP       psc 2210         1.00 PQ: 0 ANSI: 2
sd 2:0:0:0: [sda] Attached SCSI removable disk
drivers/usb/class/usblp.c: usblp0: removed
usb 2-2: USB disconnect, address 2
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: created new fw device fw1 (0 config rom retries)
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: created new fw device fw1 (0 config rom retries)
usb 4-1: new high speed USB device using ehci_hcd and address 6
usb 4-1: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 3:0:0:0: Direct-Access     Lexar    Media Inc. SM/xD 009E PQ: 0 ANSI: 0 CCS
scsi 3:0:0:1: Direct-Access     Lexar    Media Inc. CF    009E PQ: 0 ANSI: 0 CCS
scsi 3:0:0:2: Direct-Access     Lexar    Media Inc. SD/MS 009E PQ: 0 ANSI: 0 CCS
sd 3:0:0:0: [sda] Attached SCSI removable disk
sd 3:0:0:1: [sdb] Attached SCSI removable disk
sd 3:0:0:2: [sdc] Attached SCSI removable disk
sd 3:0:0:2: [sdc] 990976 512-byte hardware sectors (507 MB)
sd 3:0:0:2: [sdc] Write Protect is off
sd 3:0:0:2: [sdc] Mode Sense: 00 00 00 00
sd 3:0:0:2: [sdc] Assuming drive cache: write through
sd 3:0:0:2: [sdc] 990976 512-byte hardware sectors (507 MB)
sd 3:0:0:2: [sdc] Write Protect is off
sd 3:0:0:2: [sdc] Mode Sense: 00 00 00 00
sd 3:0:0:2: [sdc] Assuming drive cache: write through
 sdc: sdc1
usb 4-1: USB disconnect, address 6

** Loaded modules:
Module                  Size  Used by
usblp                  13280  0 
nls_iso8859_1           4128  0 
nls_cp437               5792  0 
vfat                   12032  0 
fat                    48540  1 vfat
nvidia               7248948  26 
binfmt_misc            11112  1 
speedstep_lib           5156  0 
freq_table              4512  0 
ppdev                   8676  0 
lp                     10980  0 
button                  7920  0 
ac                      5188  0 
battery                 9988  0 
ipv6                  236932  10 
wlan_wep                6528  1 
dm_snapshot            16516  0 
dm_mirror              20896  0 
dm_mod                 52000  2 dm_snapshot,dm_mirror
sonypi                 21560  1 
sr_mod                 16516  0 
firewire_sbp2          12100  0 
ide_generic             1216  0 [permanent]
pcmcia                 37100  0 
firmware_class          9504  1 pcmcia
snd_intel8x0m          16684  1 
snd_seq_dummy           3748  0 
snd_seq_oss            29408  0 
snd_seq_midi            8160  0 
snd_intel8x0           32124  3 
wlan_scan_sta          12480  1 
snd_rawmidi            22624  1 snd_seq_midi
joydev                  9568  0 
tsdev                   7968  0 
snd_ac97_codec         92836  2 snd_intel8x0m,snd_intel8x0
ath_rate_sample        11808  1 
snd_seq_midi_event      6880  2 snd_seq_oss,snd_seq_midi
ac97_bus                2272  1 snd_ac97_codec
snd_pcm_oss            39200  0 
snd_mixer_oss          15424  1 snd_pcm_oss
sd_mod                 27136  0 
parport_pc             33796  1 
snd_seq                46320  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_seq_device          7692  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
usbhid                 25792  0 
snd_pcm                72324  5 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
parport                33960  3 ppdev,lp,parport_pc
hid                    25248  1 usbhid
i2c_sis96x              5156  0 
pcspkr                  3104  0 
yenta_socket           24844  2 
rsrc_nonstatic         11968  1 yenta_socket
psmouse                36016  0 
ath_pci                88192  0 
wlan                  182596  5 wlan_wep,wlan_scan_sta,ath_rate_sample,ath_pci
snd_timer              21028  3 snd_seq,snd_pcm
snd                    48324  17 snd_intel8x0m,snd_seq_oss,snd_intel8x0,snd_rawmidi,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               7520  1 snd
sis_agp                 9060  1 
i2c_core               23552  2 nvidia,i2c_sis96x
pcmcia_core            37108  3 pcmcia,yenta_socket,rsrc_nonstatic
serio_raw               6692  0 
ath_hal               191504  3 ath_rate_sample,ath_pci
rtc                    12856  0 
snd_page_alloc          9512  3 snd_intel8x0m,snd_intel8x0,snd_pcm
agpgart                31912  2 nvidia,sis_agp
shpchp                 31060  0 
pci_hotplug            29184  1 shpchp
evdev                   9312  6 
ext3                  121192  1 
jbd                    55304  1 ext3
mbcache                 8260  1 ext3
usb_storage            76608  0 
ide_cd                 36416  0 
cdrom                  32832  2 sr_mod,ide_cd
ide_disk               16512  3 
pata_sis               13636  0 
ata_generic             7556  0 
libata                115600  2 pata_sis,ata_generic
scsi_mod              136620  5 sr_mod,firewire_sbp2,sd_mod,usb_storage,libata
firewire_ohci          16416  0 
firewire_core          38784  2 firewire_sbp2,firewire_ohci
crc_itu_t               2144  1 firewire_core
sis900                 22112  0 
mii                     5280  1 sis900
ehci_hcd               30796  0 
ohci_hcd               19780  0 
usbcore               125064  6 usblp,usbhid,usb_storage,ehci_hcd,ohci_hcd
sis5513                11912  0 [permanent]
generic                 4836  0 [permanent]
ide_core              113764  6 ide_generic,usb_storage,ide_cd,ide_disk,sis5513,generic
thermal                13416  0 
processor              31016  1 thermal
fan                     4836  0 

** PCI devices:
00:00.0 Host bridge [0600]: Silicon Integrated Systems [SiS] 645xx [1039:0648] (rev 03)
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
	Latency: 32
	Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=64M]
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Silicon Integrated Systems [SiS] SG86C202 [1039:0002] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 99
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=86
	Memory behind bridge: d5000000-d5ffffff
	Prefetchable memory behind bridge: e0000000-efffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-

00:02.0 ISA bridge [0601]: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO] [1039:0963] (rev 14)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

00:02.1 SMBus [0c05]: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller [1039:0016]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin B routed to IRQ 0
	Region 4: I/O ports at 8100 [size=32]

00:02.5 IDE interface [0101]: Silicon Integrated Systems [SiS] 5513 [IDE] [1039:5513] (prog-if 80 [Master])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 128
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at 1000 [size=16]

00:02.6 Modem [0703]: Silicon Integrated Systems [SiS] AC'97 Modem Controller [1039:7013] (rev a0) (prog-if 00 [Generic])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 173 (13000ns min, 2750ns max)
	Interrupt: pin C routed to IRQ 17
	Region 0: I/O ports at 1800 [size=256]
	Region 1: I/O ports at 1400 [size=128]
	Capabilities: <access denied>

00:02.7 Multimedia audio controller [0401]: Silicon Integrated Systems [SiS] AC'97 Sound Controller [1039:7012] (rev a0)
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 173 (13000ns min, 2750ns max)
	Interrupt: pin C routed to IRQ 17
	Region 0: I/O ports at 1c00 [size=256]
	Region 1: I/O ports at 1480 [size=128]
	Capabilities: <access denied>

00:03.0 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 1.0 Controller [1039:7001] (rev 0f) (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max)
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at d4000000 (32-bit, non-prefetchable) [size=4K]

00:03.1 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 1.0 Controller [1039:7001] (rev 0f) (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max)
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at d4001000 (32-bit, non-prefetchable) [size=4K]

00:03.2 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 1.0 Controller [1039:7001] (rev 0f) (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max)
	Interrupt: pin C routed to IRQ 20
	Region 0: Memory at d4002000 (32-bit, non-prefetchable) [size=4K]

00:03.3 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 2.0 Controller [1039:7002] (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (20000ns max)
	Interrupt: pin D routed to IRQ 21
	Region 0: Memory at d4003000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:04.0 Ethernet controller [0200]: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet [1039:0900] (rev 90)
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 173 (13000ns min, 2750ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at 2000 [size=256]
	Region 1: Memory at d4004000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 40000000 [disabled] [size=128K]
	Capabilities: <access denied>

00:07.0 Ethernet controller [0200]: Atheros Communications, Inc. AR5212 802.11abg NIC [168c:0013] (rev 01)
	Subsystem: Z-Com, Inc. Unknown device [17cf:0029]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at d4010000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>

00:0a.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev aa)
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 168
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at 40020000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 30000000-33fff000 (prefetchable)
	Memory window 1: 34000000-37fff000
	I/O window 0: 00002400-000024ff
	I/O window 1: 00002800-000028ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001

00:0a.1 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev aa)
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 168
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at 40021000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
	Memory window 0: 38000000-3bfff000 (prefetchable)
	Memory window 1: 3c000000-3ffff000
	I/O window 0: 00002c00-00002cff
	I/O window 1: 00003000-000030ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001

00:0a.2 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C552 IEEE 1394 Controller [1180:0552] (rev 02) (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Unknown device [104d:814e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (500ns min, 1000ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d4005000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>

01:00.0 VGA compatible controller [0300]: nVidia Corporation NV31M [GeForce FX Go5600] [10de:031a] (rev a1) (prog-if 00 [VGA])
	Subsystem: Sony Corporation Unknown device [104d:814f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 248 (1250ns min, 250ns max)
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d5000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Capabilities: <access denied>



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.22-1-686 depends on:
ii  initramfs-tools [linux-initr 0.89        tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.22-1-686 recommends:
ii  libc6-i686                    2.6-5      GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.22-1-686/postinst/bootloader-error-2.6.22-1-686:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.22-1-686/postinst/depmod-error-2.6.22-1-686: false
  linux-image-2.6.22-1-686/preinst/failed-to-move-modules-2.6.22-1-686:
  linux-image-2.6.22-1-686/preinst/abort-install-2.6.22-1-686:
  linux-image-2.6.22-1-686/postinst/create-kimage-link-2.6.22-1-686: true
  linux-image-2.6.22-1-686/prerm/would-invalidate-boot-loader-2.6.22-1-686: true
  linux-image-2.6.22-1-686/preinst/elilo-initrd-2.6.22-1-686: true
  linux-image-2.6.22-1-686/postinst/old-initrd-link-2.6.22-1-686: true
  linux-image-2.6.22-1-686/postinst/depmod-error-initrd-2.6.22-1-686: false
  linux-image-2.6.22-1-686/preinst/initrd-2.6.22-1-686:
  linux-image-2.6.22-1-686/preinst/bootloader-initrd-2.6.22-1-686: true
  linux-image-2.6.22-1-686/postinst/old-system-map-link-2.6.22-1-686: true
  linux-image-2.6.22-1-686/preinst/lilo-initrd-2.6.22-1-686: true
  linux-image-2.6.22-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.22-1-686/preinst/overwriting-modules-2.6.22-1-686: true
  linux-image-2.6.22-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.22-1-686/postinst/old-dir-initrd-link-2.6.22-1-686: true
  linux-image-2.6.22-1-686/prerm/removing-running-kernel-2.6.22-1-686: true
  linux-image-2.6.22-1-686/postinst/bootloader-test-error-2.6.22-1-686:
  linux-image-2.6.22-1-686/preinst/abort-overwrite-2.6.22-1-686:
* linux-image-2.6.22-1-686/preinst/already-running-this-2.6.22-1-686:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-image-2.6.22-1-686. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Curt Howland <howland@priss.com>, 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Mon, 6 Aug 2007 19:53:46 +0200
On Mon, Aug 06, 2007 at 01:32:15PM -0400, Curt Howland wrote:
> 
> The IEEE1394 kernel drivers that have been built as modiles in prior
> kernels have not been built with the kernel in the linux-image-2.6.22-1-686
> package. Having these modules available without compiling a custom
> kernel has been very useful in the past, would it be possible to enable
> the IEEE1394 as loadable modules again please?

no they are the old firwire stack,
that has been disabled due to security concern and general distrust.
 
> Here is the entire "firewire" section from /boot/config-2.6.22-1-686
> 
> # IEEE 1394 (FireWire) support
> #
> CONFIG_FIREWIRE=m
> CONFIG_FIREWIRE_OHCI=m
> CONFIG_FIREWIRE_SBP2=m
> # CONFIG_IEEE1394 is not set

what are you missing in the yuyu stack?

regards

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-image-2.6.22-1-686. Full text and rfc822 format available.

Acknowledgement sent to Curt Howland <Howland@priss.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 436267@bugs.debian.org (full text, mbox):

From: Curt Howland <Howland@priss.com>
To: maximilian attems <max@stro.at>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Mon, 6 Aug 2007 14:15:11 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Monday 06 August 2007, maximilian attems was heard to say:
> no they are the old firwire stack,
> that has been disabled due to security concern and general
> distrust.

Oh crud. :^(

> what are you missing in the yuyu stack?

At least raw1394, to create an entry /dev/raw1394 so that dvgrab can 
access a video camera. I don't know what else might have been mixed 
into the stack to do the work.

The camera shows up, dmesg shows the following when I plug it in:

- --------------------
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: created new fw device fw1 (0 config rom retries)
- --------------------

But if /dev/raw1394 is gone with a good reason, such is life. You 
folks are the experts.

Curt-




- -- 
September 11th, 2001
The proudest day for gun control and central 
planning advocates in American history

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBRrdlLy9Y35yItIgBAQJa6gf+PHwMHysrCkgYxOH2Z+E1dbz9fP7e5HXH
DmqER+1FJpT6KyU8BKvSeYL88b3c3F4ats6F/O5bB7F3ipOuP0l+AgVmgrMt7uyJ
SponVi72S7RoeOVvJBYw5Q6caANDdQEwL2HNdiDKcoWEC0m5X6m1bX8CBq5/numv
Wq4HWqgjABLzLZRBE9tzlaYV6DWrDrLj6Jm4ININPh3qHP7q13xtzzMz3n8Lb3wu
QXkcRT29Kz8C8V4+tzTNfP80BM15bhbBoR9o19XyaZ73PU6Ks1ff0oPkpP1HlJAV
nwDZJuVasH2dHDNqu0/t9BReio9yvQUsmoxapRQ/1Azi0sB48EdwmQ==
=H7XK
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-image-2.6.22-1-686. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Curt Howland <Howland@priss.com>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Tue, 7 Aug 2007 10:26:22 +0200
clone 436267 -1
reassign -1 dvgrab
retitle -1 relies on /dev/raw1394
severity -1 important
stop

On Mon, 06 Aug 2007, Curt Howland wrote:

> On Monday 06 August 2007, maximilian attems was heard to say:
> > what are you missing in the yuyu stack?
> 
> At least raw1394, to create an entry /dev/raw1394 so that dvgrab can 
> access a video camera. I don't know what else might have been mixed 
> into the stack to do the work.
> 
> The camera shows up, dmesg shows the following when I plug it in:
> 
> --------------------
> firewire_core: phy config: card 0, new root=ffc1, gap_count=5
> firewire_core: phy config: card 0, new root=ffc1, gap_count=5
> firewire_core: created new fw device fw1 (0 config rom retries)
> --------------------
> 
> But if /dev/raw1394 is gone with a good reason, such is life. You 
> folks are the experts.

fedora disabled due to the same concerns the old IEEE1394 stack.
hmm yes, userspace seem to not have adapted yet.
that's why we prefer to do such change early in the release process.
/dev/raw1394 was already marked deprecated for quite some time.

cloning the bugreport to the "offending" userspace.
 
regards

-- 
maks



Bug 436267 cloned as bug 436416. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 07 Aug 2007 08:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#436267; Package linux-image-2.6.22-1-686. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #27 received at 436267@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 436267@bugs.debian.org
Subject: switched too soon?
Date: Sat, 03 Nov 2007 06:50:57 -0500
[Message part 1 (text/plain, inline)]
Hi,

I'm trying to get video off my DV camcorder and eventually 
discovered that the kernel switched from the old IEEE 1394
stack to the new one.

The Linux1394 folks explicity state:

  Regarding Linux 2.6.22 and 2.6.23, the best advice to Linux
  distributors (kernel packagers) as well as to regular users is:
  Build only the old IEEE 1394 drivers.

  [http://wiki.linux1394.org/JujuMigration]


I appreciate that there is said to be some security issue (perhaps
http://securityvulns.com/docs6383.html?) but a local DOS doesn't
bother me nearly as much as an unusable firewire port.

Please reconsider building the old stack until the new stack is no
longer experimental and the userspace catches up.

Thanks,
-Steve

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `linux-image-2.6.22-1-686' to `linux-2.6'. Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sat, 03 Nov 2007 13:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bonnaud <bonnaud@lis.inpg.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 436267@bugs.debian.org (full text, mbox):

From: Laurent Bonnaud <bonnaud@lis.inpg.fr>
To: 436267@bugs.debian.org
Subject: Re: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Tue, 11 Dec 2007 17:20:26 +0100
Hi,

another application stopped working after this kernel change.  It is
coriander.  I do not know if all applications must be fixed or if a fix
in the 1394 libraries is enough.  Unfortunately libraries are not fixed
yet, see bug #453358 :

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=453358

-- 
Laurent Bonnaud.
http://www.lis.inpg.fr/pages_perso/bonnaud/






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Laurent Bonnaud <bonnaud@lis.inpg.fr>, 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Tue, 11 Dec 2007 17:32:36 +0100
hello,

On Tue, Dec 11, 2007 at 05:20:26PM +0100, Laurent Bonnaud wrote:
> 
> another application stopped working after this kernel change.  It is
> coriander.  I do not know if all applications must be fixed or if a fix
> in the 1394 libraries is enough.  Unfortunately libraries are not fixed
> yet, see bug #453358 :
> 
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=453358

that is expected and thus the switch to juju is made early
in the release cycle.
enough time to fix those up.

best regards

-- 
maks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 436267@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Laurent Bonnaud <bonnaud@lis.inpg.fr>, 453358@bugs.debian.org
Cc: 436267@bugs.debian.org
Subject: Re: Bug#453358: libraw1394-8: Juju firewire stack support.
Date: Wed, 12 Dec 2007 16:08:18 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec 11, 2007 at 05:20:09PM +0100, Laurent Bonnaud wrote:

> On Mon, 2007-12-10 at 21:13 +0100, Guus Sliepen wrote:
> > 
> > If you file a bug, please let me know the bug number so I can track it
> > too! I'll keep this bug open of course until libraw1394 has support for
> > the Juju stack.
> 
> The bug already exists, see bug #436267 :
> 
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=436267
> 
> One application relying on /dev/raw1394 (dvgrab) received a bug report
> as a result.  The application we are using is coriander and it stopped
> working, too.

Well the kernel team can say what they want, but currently userspace
support for the juju stack is virtually non-existant. Disabling the old
stack is not going to speed up the development of the userspace
libraries, it is only going to annoy Debian users. The best solution
currently is to install kernel-package and make-kpkg your own kernels.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 436267@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: maximilian attems <max@stro.at>, 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Wed, 12 Dec 2007 23:17:28 -0600
[Message part 1 (text/plain, inline)]
On Tue, Dec 11, 2007 at 05:32:36PM +0100, maximilian attems wrote:
> hello,
> 
> On Tue, Dec 11, 2007 at 05:20:26PM +0100, Laurent Bonnaud wrote:
> > 
> > another application stopped working after this kernel change.  It is
> > coriander.  I do not know if all applications must be fixed or if a fix
> > in the 1394 libraries is enough.  Unfortunately libraries are not fixed
> > yet, see bug #453358 :
> > 
> >   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=453358
> 
> that is expected and thus the switch to juju is made early
> in the release cycle.
> enough time to fix those up.

As noted by Guus Sliepen, switching from a functioning driver to an
experimental driver with no library support is not going to cause the
latter to be improved.  It's simply annoying to the user.

The linux1394.org people say:

 At the time of this writing (12/2007), there are still multiple
 problems with the new FireWire kernel driver stack (alias Juju)
 compared to the old stack [...]

 Regarding Linux 2.6.22 and 2.6.23, the best advice to Linux
 distributors (kernel packagers) as well as to regular users is: Build
 only the old IEEE 1394 drivers.

 http://wiki.linux1394.org/JujuMigration

Please consider enabling the working driver until userspace
libraries exist for the new one.

Thanks,
-Steve

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Thu, 13 Dec 2007 10:27:40 +0100
On Wed, Dec 12, 2007 at 11:17:28PM -0600, Steve M. Robbins wrote:
> 
> As noted by Guus Sliepen, switching from a functioning driver to an
> experimental driver with no library support is not going to cause the
> latter to be improved.  It's simply annoying to the user.

that is a pretty bold incompetent statement,
for all relevant libraries patches exists.
take them out of the corresponding git repos.
 
> The linux1394.org people say:
> 
>  At the time of this writing (12/2007), there are still multiple
>  problems with the new FireWire kernel driver stack (alias Juju)
>  compared to the old stack [...]
> 
>  Regarding Linux 2.6.22 and 2.6.23, the best advice to Linux
>  distributors (kernel packagers) as well as to regular users is: Build
>  only the old IEEE 1394 drivers.
> 
>  http://wiki.linux1394.org/JujuMigration

et ceterum censo aboves quote is from 1 of the 2 maintainers.
the other maintainer considered it fit enough for fedora stable
release 7 and 8.

also lenny will "not" release with 2.6.22 nor 2.6.23,
2.6.23 superseeds 2.6.22 and for relevant testers out there
2.6.24-rc5 is available.

aboves page has direct links to userspace patches,
integrate them.

the new stack has many advantages:
- leaner codebase (less than 8k lines of code compared to 30k lines of
  code in the old stack)
- cleaned-up and improved in-stack APIs
  (with the side effect of getting rid of a bunch of old bugs)
- design (no kernel threads, compared to one subsystem thread and one
  thread per FireWire controller in the old stack)

the switch to juju allowed to close a nr of *longstanding* reports,
plus there is no known security problems unlike the old ieee1394
stack.
 
best regards

-- 
maks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 436267@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: maximilian attems <max@stro.at>, 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Thu, 13 Dec 2007 09:50:56 -0600
[Message part 1 (text/plain, inline)]
On Thu, Dec 13, 2007 at 10:27:40AM +0100, maximilian attems wrote:
> On Wed, Dec 12, 2007 at 11:17:28PM -0600, Steve M. Robbins wrote:
> > 
> > As noted by Guus Sliepen, switching from a functioning driver to an
> > experimental driver with no library support is not going to cause the
> > latter to be improved.  It's simply annoying to the user.
> 
> that is a pretty bold incompetent statement,
> for all relevant libraries patches exists.
> take them out of the corresponding git repos.

By "user", I meant "Debian user".  There is manifestly 
no library support for the Debian user.

Git repos are not relevant here.

  
> > The linux1394.org people say:
> > 
> >  At the time of this writing (12/2007), there are still multiple
> >  problems with the new FireWire kernel driver stack (alias Juju)
> >  compared to the old stack [...]
> > 
> >  Regarding Linux 2.6.22 and 2.6.23, the best advice to Linux
> >  distributors (kernel packagers) as well as to regular users is: Build
> >  only the old IEEE 1394 drivers.
> > 
> >  http://wiki.linux1394.org/JujuMigration
> 
> et ceterum censo aboves quote is from 1 of the 2 maintainers.
> the other maintainer considered it fit enough for fedora stable
> release 7 and 8.

And the Fedora users are complaining as well.

I cannot see how you think it improves things to produce a system
(Debian Sid) with an unusable 1394 subsystem.  It is clearly not being
tested nor improved, since anyone who wants to use it is rebuilding
the kernel with the old drivers again!


> the new stack has many advantages:
> - leaner codebase (less than 8k lines of code compared to 30k lines of
>   code in the old stack)
> - cleaned-up and improved in-stack APIs
>   (with the side effect of getting rid of a bunch of old bugs)
> - design (no kernel threads, compared to one subsystem thread and one
>   thread per FireWire controller in the old stack)

Those are all great theoretical advantages.  None of them matter
to me, as a user.  What matters is a working system.  And Debian
is -- allegedly -- about the users.  In that light, I would think
that the best approach is:

1. Make sure all libraries are patched.
2. Switch the kernel module.

Rather than the other way around.

Best regards,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Thu, 13 Dec 2007 16:59:37 +0100
On Thu, Dec 13, 2007 at 09:50:56AM -0600, Steve M. Robbins wrote:
> 
> Git repos are not relevant here.

they are fucking important, but it seems that the firewire
lib maintainers are quite lame.
 
put it that way any firewire lib that does not work with
the juju stack warrants a rc bug.


-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 436267@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: "Steve M. Robbins" <steve@sumost.ca>, 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Fri, 14 Dec 2007 12:52:51 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Thu, Dec 13, 2007 at 09:50:56AM -0600, Steve M. Robbins wrote:
>On Thu, Dec 13, 2007 at 10:27:40AM +0100, maximilian attems wrote:
>> On Wed, Dec 12, 2007 at 11:17:28PM -0600, Steve M. Robbins wrote:
>> > 
>> > As noted by Guus Sliepen, switching from a functioning driver to an
>> > experimental driver with no library support is not going to cause the
>> > latter to be improved.  It's simply annoying to the user.
>> 
>> that is a pretty bold incompetent statement,
>> for all relevant libraries patches exists.
>> take them out of the corresponding git repos.
>
>By "user", I meant "Debian user".  There is manifestly 
>no library support for the Debian user.
>
>Git repos are not relevant here.

Agreed.

Clarification for Max: "here" relates to "Debian user" - they should 
_not_ need to mess with GIT!


>I cannot see how you think it improves things to produce a system 
>(Debian Sid) with an unusable 1394 subsystem.  It is clearly not being 
>tested nor improved, since anyone who wants to use it is rebuilding the 
>kernel with the old drivers again!

I wholeheartedly agree.


  - Jonas

- -- 
Jonas Smedegaard   <jonas@jones.dk>   http://www.jones.dk/~jonas/
IT-guide dr. Jones    <dr@jones.dk>   http://dr.jones.dk/    +45 40843136
Debian GNU/Linux    <js@debian.org>   http://www.debian.org/
GnuPG(1024D/C02440B8): 9A98 C6EB C098 9ED0 3085  ECA9 9FB0 DB32 C024 40B8
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHYm6Tn7DbMsAkQLgRAgx5AKCR2o4wTdwaJciK05Qpx6VWWp3ctQCfXw34
saixF05OkBIoNM0sM46gbdY=
=PAoP
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 436267@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: maximilian attems <max@stro.at>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Sun, 16 Dec 2007 15:58:28 -0600
[Message part 1 (text/plain, inline)]
On Thu, Dec 13, 2007 at 04:59:37PM +0100, maximilian attems wrote:
> On Thu, Dec 13, 2007 at 09:50:56AM -0600, Steve M. Robbins wrote:
> > 
> > Git repos are not relevant here.
> 
> they are fucking important, but it seems that the firewire
> lib maintainers are quite lame.

I'm sad to read a response that seems to be blaming and
finger-pointing.  Debian is about building a *system* 
and we all need to work together to that end.

It seems to me that if you make a change that in turn requires a
change in other packages -- indeed, it explicitly *breaks* other
packages -- then it is incumbent on you to work with the other package
maintainers to achieve the required changes.  In the present case, it
appears that the libraw maintainer, for one, wasn't informed
(c.f. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=453358).

-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 436267@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 436267@bugs.debian.org, 453358@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Mon, 17 Dec 2007 00:35:14 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec 16, 2007 at 03:58:28PM -0600, Steve M. Robbins wrote:

> > > Git repos are not relevant here.
> > 
> > they are fucking important, but it seems that the firewire
> > lib maintainers are quite lame.

I, the lame lib maintainer, tried to compile coriander and one of his own
applications, for the juju stack, git cloning libraw and svn co'ing
libdc1394 and cvs co'ing coriander. I had to modify coriander slightly
and my own application some more, because the API of libdc1394 is still
changing. After it all compiled, I tried it on a computer with multiple
IIDC camera's attached. The applications see all devices. However, you
can only read out one device at a time, because ISO channel allocation
is not implemented according to libdc1394. Second, the camera image is
messed up, the first 10% is fine but the rest is junk.

I'm not the upstream maintainer, I'm the Debian maintainer. I do not
mind fixing little things myself, but fixing this is beyond my scope.
Upstream is clearly not ready, I cannot package unreleased stuff from
git/svn/cvs that is not working properly anyway.

Again, for those Debian users who want a *working* FireWire stack,
please enable the old modules again. You can build both the old and the
new stack. You can blacklist the old modules by default so that only the
modules for the new stack get loaded unless the user wants the old one
back.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 436267@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Guus Sliepen <guus@debian.org>, 436267@bugs.debian.org
Subject: Re: Bug#436267: linux-image-2.6.22-1-686: IEEE1394 modules unbuilt in packaged kernel
Date: Mon, 17 Dec 2007 11:36:31 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Mon, Dec 17, 2007 at 12:35:14AM +0100, Guus Sliepen wrote:
>On Sun, Dec 16, 2007 at 03:58:28PM -0600, Steve M. Robbins wrote:
>
>> > > Git repos are not relevant here.
>> > 
>> > they are fucking important, but it seems that the firewire
>> > lib maintainers are quite lame.
>
>I, the lame lib maintainer, tried to compile coriander and one of his own
>applications, for the juju stack,

[snip]

>I'm not the upstream maintainer, I'm the Debian maintainer. I do not
>mind fixing little things myself, but fixing this is beyond my scope.
>Upstream is clearly not ready, I cannot package unreleased stuff from
>git/svn/cvs that is not working properly anyway.

Thanks for the clarification!


  - Jonas

- -- 
Jonas Smedegaard   <jonas@jones.dk>   http://www.jones.dk/~jonas/
IT-guide dr. Jones    <dr@jones.dk>   http://dr.jones.dk/    +45 40843136
Debian GNU/Linux    <js@debian.org>   http://www.debian.org/
GnuPG(1024D/C02440B8): 9A98 C6EB C098 9ED0 3085  ECA9 9FB0 DB32 C024 40B8
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHZlEvn7DbMsAkQLgRAs1dAJ4j9qoPWWnwsIP68Lly4vhsO4lqpgCfax+e
jbblxX7vs/M5FgqKLUVYaiQ=
=37lQ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 436267@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: debian-devel@lists.debian.org
Cc: Marc 'HE' Brockschmidt <he@debian.org>, debian-release@lists.debian.org, 436267@bugs.debian.org
Subject: Firewire support in lenny
Date: Tue, 12 Feb 2008 11:27:29 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 03, 2008 at 10:04:18AM +0100, Marc 'HE' Brockschmidt wrote:

> Early March 2008
>   Very soft freeze
[...]
> Mid of July 2008
>   Full freeze

I guess that means that lenny will be released with linux kernel
2.6.24.x. If that is so, then I kindly request that the debian kernel
packages will be released with the stable Firewire stack modules
compiled.

The current kernel package mainainer(s) has (have) decided to disable
the stable modules in favour of the new and experimental JuJu stack[0].
The new stack has the advantage that is more secure and has a cleaner
code base, but the drawback that a lot of devices and features are not
yet supported. To summarise what the JuJu developers themselves say
about the current state of the new stack[1]:

 Compatibility and stability
 
 At the time of this writing (01/2008), there are still multiple problems
 with the new FireWire kernel driver stack (alias Juju) compared to the
 old stack:
 
  * Lacking userspace integration.
  * Lack of testing. Therefore compatibility issues with some controllers and
    external devices.
  * There are still problems with isochronous reception on some OHCI 1.0
    variants of VIA VT6306/6307 based cards. Cameras and audio devices are
    unusable with the new drivers if you have such a chip.
  * Almost no support for IIDC cameras: Highly experimental support in libdc1394
    v2 which works with some luck on only a few OHCI 1.1 controllers.
  * Stability issues of the storage device driver firewire-sbp2 on some
    hardware.
  * Missing IP over 1394 support. 
 
 Regarding Linux 2.6.22...2.6.24, the best advice to Linux distributors
 (kernel packagers) as well as to regular users is: Build only the old
 IEEE 1394 drivers.

There are security issues with the stable stack[2], so to protect our
users it is better to load the modules for the JuJu stack by default.
But for those people who need the stable stack to do work, the modules
for the stable stack should be available. There is no reason not to
build both stacks, they don't conflict with each other (except that only
one works if you load both, of course).

I hope the kernel package maintainer(s) will make sure kernel packages
with the stable modules available, but blacklisted by default, will
enter testing soon, so that users of testing get a chance to test it
before lenny is released.


[0] http://bugs.debian.org/436267
[1] http://wiki.linux1394.org/JujuMigration
[2] http://en.wikipedia.org/wiki/FireWire#Security_issues
 
-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Guus Sliepen <guus@debian.org>, debian-devel@lists.debian.org, Marc 'HE' Brockschmidt <he@debian.org>, debian-release@lists.debian.org, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Tue, 12 Feb 2008 11:49:22 +0100
On Tue, Feb 12, 2008 at 11:27:29AM +0100, Guus Sliepen wrote:
> On Sun, Feb 03, 2008 at 10:04:18AM +0100, Marc 'HE' Brockschmidt wrote:
> 
> > Early March 2008
> >   Very soft freeze
> [...]
> > Mid of July 2008
> >   Full freeze
> 
> I guess that means that lenny will be released with linux kernel
> 2.6.24.x. If that is so, then I kindly request that the debian kernel
> packages will be released with the stable Firewire stack modules
> compiled.

no certainly not, we haven't yet discussed the release kernel.
options are 2.6.25 or 2.6.26.
 
> The current kernel package mainainer(s) has (have) decided to disable
> the stable modules in favour of the new and experimental JuJu stack[0].
> The new stack has the advantage that is more secure and has a cleaner
> code base, but the drawback that a lot of devices and features are not
> yet supported. To summarise what the JuJu developers themselves say
> about the current state of the new stack[1]:

[snipp http://wiki.linux1394.org/JujuMigration ]
 
>  Regarding Linux 2.6.22...2.6.24, the best advice to Linux distributors
>  (kernel packagers) as well as to regular users is: Build only the old
>  IEEE 1394 drivers.

you omit the interesting next paragraph:
"Building the new drivers is only for advanced users (who for example
want the better speed of firewire-sbp2 relative to sbp2) - and for
distributors who know what is required in userspace to make use of the
new drivers and who can get bugfixes backported and rolled out quickly."

on the kernel side we do backport firewire patches.
for the userspace side i still see lack of action on libdc1394
"2008/01/05: The official version 2.0.0 has been released.
2008/01/05: A first set of fixes have been released (version 2.0.1)"

why is that not even in unstable/experimental?

> users it is better to load the modules for the JuJu stack by default.
> But for those people who need the stable stack to do work, the modules
> for the stable stack should be available. There is no reason not to
> build both stacks, they don't conflict with each other (except that only
> one works if you load both, of course).
> 
> I hope the kernel package maintainer(s) will make sure kernel packages
> with the stable modules available, but blacklisted by default, will
> enter testing soon, so that users of testing get a chance to test it
> before lenny is released.

the progress of the juju stack is very nice, there are quite some
fixes queued for 2.6.25, we will make those snapshots available
soonest.

if the regression list for 2.6.25 is still high we may reconsider
there to build the old stack with blacklisted modules.
that has always been our stated fallback position, currently in the
development phase we encourage testing of the newer stack
on latest linux-images.
 
 
> [0] http://bugs.debian.org/436267
> [1] http://wiki.linux1394.org/JujuMigration
> [2] http://en.wikipedia.org/wiki/FireWire#Security_issues


best regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 436267@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: maximilian attems <max@stro.at>
Cc: debian-devel@lists.debian.org, Marc 'HE' Brockschmidt <he@debian.org>, debian-release@lists.debian.org, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Tue, 12 Feb 2008 12:31:43 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 12, 2008 at 11:49:22AM +0100, maximilian attems wrote:

> > I guess that means that lenny will be released with linux kernel
> > 2.6.24.x. If that is so, then I kindly request that the debian kernel
> > packages will be released with the stable Firewire stack modules
> > compiled.
> 
> no certainly not, we haven't yet discussed the release kernel.
> options are 2.6.25 or 2.6.26.

Given the pace of kernel releases, I do not believe 2.6.26 is possible
for lenny, but 2.6.25 is possible, although I think it will only be
released a month or two before the final freeze.

> >  Regarding Linux 2.6.22...2.6.24, the best advice to Linux distributors
> >  (kernel packagers) as well as to regular users is: Build only the old
> >  IEEE 1394 drivers.
> 
> you omit the interesting next paragraph:
> "Building the new drivers is only for advanced users (who for example
> want the better speed of firewire-sbp2 relative to sbp2) - and for
> distributors who know what is required in userspace to make use of the
> new drivers and who can get bugfixes backported and rolled out quickly."
> 
> on the kernel side we do backport firewire patches.
> for the userspace side i still see lack of action on libdc1394
> "2008/01/05: The official version 2.0.0 has been released.
> 2008/01/05: A first set of fixes have been released (version 2.0.1)"
> 
> why is that not even in unstable/experimental?

libdc1394 2.0.1 is in unstable: http://packages.debian.org/libdc1394-22

My IIDC cameras do not work correctly with a juju-enabled libdc1394
2.0.1. Furthermore, apart from coriander there are no applications that
have migrated from libdc1394 v1 to v2.

> the progress of the juju stack is very nice, there are quite some
> fixes queued for 2.6.25, we will make those snapshots available
> soonest.

That is good to hear.

> if the regression list for 2.6.25 is still high we may reconsider
> there to build the old stack with blacklisted modules.
> that has always been our stated fallback position, currently in the
> development phase we encourage testing of the newer stack
> on latest linux-images.

I do not see why making the old stack available again, but blacklisted
by default, discourages testing of the newer stack. If you have both
available, then yes, users can switch to the new stack more easily, but
at least they will still be using Debian kernel packages, and they can
switch back to the juju stack just as well. If you do not make this
option available, those who have problems with the new stack will have
to compile their own kernels, and then they will not track the Debian
kernel packages anymore.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Guus Sliepen <guus@debian.org>, debian-devel@lists.debian.org, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Tue, 12 Feb 2008 14:38:13 +0100
[ stripping cc list to relevant bug report + devel for general info ]

On Tue, Feb 12, 2008 at 12:31:43PM +0100, Guus Sliepen wrote:
> On Tue, Feb 12, 2008 at 11:49:22AM +0100, maximilian attems wrote:
> 
> Given the pace of kernel releases, I do not believe 2.6.26 is possible
> for lenny, but 2.6.25 is possible, although I think it will only be
> released a month or two before the final freeze.

that discussion belongs to another thread, but don't be too pessimistic.
 
[snipp]
> libdc1394 2.0.1 is in unstable: http://packages.debian.org/libdc1394-22

cool.
sorry rmadison wasn't showing it to me yet.
 
> My IIDC cameras do not work correctly with a juju-enabled libdc1394
> 2.0.1. Furthermore, apart from coriander there are no applications that
> have migrated from libdc1394 v1 to v2.

even with 2.6.24-4 linux images?
please mention the uname of your tests
 
> > the progress of the juju stack is very nice, there are quite some
> > fixes queued for 2.6.25, we will make those snapshots available
> > soonest.
> 
> That is good to hear.

if you are on amd64 2.6.25-rc1-git2
-> http://photon.itp.tuwien.ac.at/~mattems/
will build i686 during day (takes much longer)

please if 2.6.24 has troubles feedback on that one.
 
> > if the regression list for 2.6.25 is still high we may reconsider
> > there to build the old stack with blacklisted modules.
> > that has always been our stated fallback position, currently in the
> > development phase we encourage testing of the newer stack
> > on latest linux-images.
> 
> I do not see why making the old stack available again, but blacklisted
> by default, discourages testing of the newer stack. If you have both
> available, then yes, users can switch to the new stack more easily, but
> at least they will still be using Debian kernel packages, and they can
> switch back to the juju stack just as well. If you do not make this
> option available, those who have problems with the new stack will have
> to compile their own kernels, and then they will not track the Debian
> kernel packages anymore.

you can't have both without blacklisting one otherwise udev loads
randomly from boot to boot other firewire stack. changing blacklist
files in /etc/modprobe.d is trivial.
 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 436267@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: maximilian attems <max@stro.at>
Cc: debian-devel@lists.debian.org, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Tue, 12 Feb 2008 18:05:20 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 12, 2008 at 02:38:13PM +0100, maximilian attems wrote:

> > My IIDC cameras do not work correctly with a juju-enabled libdc1394
> > 2.0.1. Furthermore, apart from coriander there are no applications that
> > have migrated from libdc1394 v1 to v2.
> 
> even with 2.6.24-4 linux images?
> please mention the uname of your tests

I'll see if I can do the tests on a clean install with the latest linux
images tomorrow.

> if you are on amd64 2.6.25-rc1-git2
> -> http://photon.itp.tuwien.ac.at/~mattems/
> will build i686 during day (takes much longer)
> 
> please if 2.6.24 has troubles feedback on that one.

I'll try both in any case.

[...]
> you can't have both without blacklisting one otherwise udev loads
> randomly from boot to boot other firewire stack. changing blacklist
> files in /etc/modprobe.d is trivial.

I agree. I'm just asking that the old stack will be blacklisted, but
still available in the linux images.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #114 received at 436267@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: maximilian attems <max@stro.at>, debian-devel@lists.debian.org, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Wed, 13 Feb 2008 18:08:51 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 12, 2008 at 06:05:20PM +0100, Guus Sliepen wrote:

> > even with 2.6.24-4 linux images?
> > please mention the uname of your tests
> 
> I'll see if I can do the tests on a clean install with the latest linux
> images tomorrow.

uname:
Linux barebone1 2.6.24-1-amd64 #1 SMP Mon Feb 11 13:47:43 UTC 2008 x86_64 GNU/Linux

I do get a good picture now, but isochronous channel allocation is not
implemented, so I can't read out more than one camera at a time. This
maybe workable for users who only have one IEEE1394 device that uses an
isochronous channel, but for me it is still useless; I need to read out
at least four cameras simultaneously (which works flawlessly with the
stable stack).

It may not be a fault of the new stack, because libdc1394-22 itself just
doesn't provide channel allocation. I'll try the latest revision from
Subversion later.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 436267@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-devel@lists.debian.org, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Thu, 14 Feb 2008 14:19:29 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Tuesday 12 February 2008 12:31, Guus Sliepen wrote:
> I do not see why making the old stack available again, but blacklisted
> by default, discourages testing of the newer stack. If you have both
> available, then yes, users can switch to the new stack more easily, but
> at least they will still be using Debian kernel packages, and they can
> switch back to the juju stack just as well. If you do not make this
> option available, those who have problems with the new stack will have
> to compile their own kernels, and then they will not track the Debian
> kernel packages anymore.

I see this happening all around... (users compiling their own kernels cause 
they have to and stop tracking debian kernels)

Please make the old stack available.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Curt Howland <howland@priss.com>:
Bug#436267. Full text and rfc822 format available.

Message #122 received at 436267-submitter@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 436267-submitter@bugs.debian.org, 449272-submitter@bugs.debian.org, 450836-submitter@bugs.debian.org, 441206-submitter@bugs.debian.org, 441179-submitter@bugs.debian.org, 435224-submitter@bugs.debian.org, 435062-submitter@bugs.debian.org, 434551-submitter@bugs.debian.org, debian-kernel@lists.debian.org
Subject: workaround to be able to use Debian kernels and your (firewire) hardware
Date: Mon, 10 Mar 2008 23:18:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

I'm providing Debian kernel packages with just one change, the old firewire 
stack is also enabled, read more at http://layer-acht.org/blog/debian/#1-155


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #127 received at 436267@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Sun, 20 Apr 2008 13:02:18 -0400
I've tried the 2.6.25-trunk kernel, and the latest in sid and as of 
today (2008-04-20) the only way I can transfer videos from my dv camera 
to my hard disk is with Holger's kernels (the ones with the old firewire 
stack enabled). I do not understand why the debian kernel maintainers 
are so unwilling to allow people to choose which firewire stack they 
use. This is clearly a case of theory not matching reality--it is 
irrelevant whether the new stack is conceptually cleaner if it doesn't 
work with the software people are trying to use. In my experience, the 
new stack is much better for firewire attached disks, but unusable for 
video work. Are the people pushing for having only the new stack in the 
debian kernels doing video work? 

(I'm also having no success whatsoever in using the new stack for 
devices attached to firewire hubs or daisy chained from one device to 
another; only direct connect seems to be working--anyone else having the 
same problem?)

Mike Stone




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #132 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Michael Stone <mstone@debian.org>, 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Sun, 20 Apr 2008 19:30:48 +0200
On Sun, Apr 20, 2008 at 01:02:18PM -0400, Michael Stone wrote:
> I've tried the 2.6.25-trunk kernel, and the latest in sid and as of 
> today (2008-04-20) the only way I can transfer videos from my dv camera 
> to my hard disk is with Holger's kernels (the ones with the old firewire 
> stack enabled). I do not understand why the debian kernel maintainers 
> are so unwilling to allow people to choose which firewire stack they 
> use. This is clearly a case of theory not matching reality--it is 
> irrelevant whether the new stack is conceptually cleaner if it doesn't 
> work with the software people are trying to use. In my experience, the 
> new stack is much better for firewire attached disks, but unusable for 
> video work. Are the people pushing for having only the new stack in the 
> debian kernels doing video work? 

boaah as debian developer can you please send in a proper bug report.
open a new bug with all your hardware info dmesg, lspci.
used firewire userspace components.
 
that would be a start to do something useful.

regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #137 received at 436267@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: maximilian attems <max@stro.at>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Sun, 20 Apr 2008 14:29:41 -0400
On Sun, Apr 20, 2008 at 07:30:48PM +0200, maximilian attems wrote:
>boaah as debian developer can you please send in a proper bug report.
>open a new bug with all your hardware info dmesg, lspci.
>used firewire userspace components.

No, not particularly at this point; I think there are plenty of bug 
reports indicating that the userspace components in debian don't support 
juju well. (Or, if you're talking about the issues with firewire chains, 
I was hoping for a "yes that works here" or "it doesn't work for 
anybody" before I spend an hour or two gathering information. Especially 
since leaving a firewire device plugged into the hub causes the whole 
system to freeze after a minute or two.)

>that would be a start to do something useful.

A start to doing something useful would be to admit that there is no 
possibility that the new firewire stack can be reasonably tested for 
video applications by the time lenny freezes.

Mike Stone




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #142 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Michael Stone <mstone@debian.org>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Sun, 20 Apr 2008 23:04:31 +0200
On Sun, 20 Apr 2008, Michael Stone wrote:

> No, not particularly at this point; I think there are plenty of bug  
> reports indicating that the userspace components in debian don't support  
> juju well.

well that is quite a shame!?!
juju is been released on the third fedora release

for most userspace apps there exist working patches as documented
by post of libdc1394 maintainer.

> (Or, if you're talking about the issues with firewire chains,  
> I was hoping for a "yes that works here" or "it doesn't work for  
> anybody" before I spend an hour or two gathering information. Especially  
> since leaving a firewire device plugged into the hub causes the whole  
> system to freeze after a minute or two.)

indeed this beahaviour is known to work with latest 2.6.25 stack

>> that would be a start to do something useful.
>
> A start to doing something useful would be to admit that there is no  
> possibility that the new firewire stack can be reasonably tested for  
> video applications by the time lenny freezes.

we reverted for etch+half, if userspace stays as lame as currently
it is still an option for Lenny but we'd prefer out of several
provided grounds not to be forced to do that.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #147 received at 436267@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: maximilian attems <max@stro.at>
Cc: 436267@bugs.debian.org
Subject: Re: Bug#436267: Firewire support in lenny
Date: Sun, 20 Apr 2008 19:35:28 -0400
On Sun, Apr 20, 2008 at 11:04:31PM +0200, maximilian attems wrote:
>On Sun, 20 Apr 2008, Michael Stone wrote:
>
>> No, not particularly at this point; I think there are plenty of bug  
>> reports indicating that the userspace components in debian don't support  
>> juju well.
>
>well that is quite a shame!?!
>juju is been released on the third fedora release

Whoopie. Fedora is irrelevant for a whole host of reasons, which boil 
down to the fact that we're talking about a kernel for the debian 
usespace, not the fedora userspace.

>for most userspace apps there exist working patches as documented
>by post of libdc1394 maintainer.

Did you ever answer the question about whether those pushing for only 
the new firewire stack were actually using it for digital video? 

>> A start to doing something useful would be to admit that there is no  
>> possibility that the new firewire stack can be reasonably tested for  
>> video applications by the time lenny freezes.
>
>we reverted for etch+half, if userspace stays as lame as currently
>it is still an option for Lenny but we'd prefer out of several
>provided grounds not to be forced to do that.

So the "purity" of your package means that people who want to digital 
video over firewire in debian just get the shaft? Again: there is *no 
reasonable way* that the new firewire stack can be tested in debian for 
lenny at this point. The longer that the kernel package drags its feet 
on including both firewire stacks, the longer it will take to write & 
polish the documentation on how to use that configuration. (E.g., the 
libraw1394 README.Debian says that things should just work with a debian 
kernel--which used to be true, but isn't anymore.) To leave things they 
way they are is itself "lame".

Mike Stone





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #152 received at 436267@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: maximilian attems <max@stro.at>, 436267@bugs.debian.org
Cc: Michael Stone <mstone@debian.org>
Subject: Re: Bug#436267: Firewire support in lenny
Date: Sun, 20 Apr 2008 21:11:00 -0500
[Message part 1 (text/plain, inline)]
On Sun, Apr 20, 2008 at 11:04:31PM +0200, maximilian attems wrote:

> for most userspace apps there exist working patches as documented
> by post of libdc1394 maintainer.

That's irrelevant.  There is manifestly a problem with video.  It was
reported in August of last year.  You can't credibly continue to claim
8 months later that everything is hunky dory.  It was not then and is
not now.


> we reverted for etch+half, if userspace stays as lame as currently
> it is still an option for Lenny but we'd prefer out of several
> provided grounds not to be forced to do that.

Rather than complaining about the "lame" userspace, work with them to
apply the requisite patches.  Debian is about building a *system* in
support of our users.  Some of us want to use video out of the box.
It's not that much to ask, is it?

Chimo,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Daniel Phillips" <alleyoopster@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #157 received at 436267@bugs.debian.org (full text, mbox):

From: "Daniel Phillips" <alleyoopster@gmail.com>
To: 436267@bugs.debian.org
Subject: Working DV video over firewire
Date: Wed, 9 Jul 2008 09:56:22 +0200
[Message part 1 (text/plain, inline)]
I am not sure if this has progressed any more and if any decision has been
drawn up,  the thread has been a little quiet.

I just wanted to express that from a user perspective I would be surprised
if I installed a modern Linux distribution and I could no longer use a DV
connection to edit my videos. I have been using etch to do this for a while
now and it works fine. In fact I was using etch as I was having problems
 configuring the correct modules to use for 1394 on another distribution. I
am all for change and development. but I have always looked to Debian to
supply a sane, working and stable system. Currently I have that with etch
and hope to have that for lenny.
-- 
Daniel Phillips
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Adam M. Costello" <bug.amc+3+@nicemice.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #162 received at 436267@bugs.debian.org (full text, mbox):

From: "Adam M. Costello" <bug.amc+3+@nicemice.net>
To: 436267@bugs.debian.org
Subject: stuck at 2.6.21
Date: Thu, 17 Jul 2008 06:01:25 +0000
I'm just a regular Debian user who long ago built my own kernels (for
a forgotten reason) and ran into headaches getting out of sync with
the official config, so for the past several years I've been using the
pre-built Debian kernel images, and generally been happier.

But now I have a DV video camera and the only way I know to get the data
off the tapes is with dvgrab, which works on 2.6.21 and not on any later
Debian kernel image (so far).

I normally track the testing release, but now I'm stuck at 2.6.21 until
a later release works with dvgrab.

AMC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#436267; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #167 received at 436267@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: "Adam M. Costello" <bug.amc+3+@nicemice.net>, 436267@bugs.debian.org
Subject: Re: Bug#436267: stuck at 2.6.21
Date: Thu, 17 Jul 2008 09:23:22 +0200
On Thu, Jul 17, 2008 at 06:01:25AM +0000, Adam M. Costello wrote:
> I'm just a regular Debian user who long ago built my own kernels (for
> a forgotten reason) and ran into headaches getting out of sync with
> the official config, so for the past several years I've been using the
> pre-built Debian kernel images, and generally been happier.
> 
> But now I have a DV video camera and the only way I know to get the data
> off the tapes is with dvgrab, which works on 2.6.21 and not on any later
> Debian kernel image (so far).
> 
> I normally track the testing release, but now I'm stuck at 2.6.21 until
> a later release works with dvgrab.

yes a pity dvgrab didn't push the juju firewire stack patches.
anyway you should be happy with 2.6.26 grab it at trunk
apt lines -> http://wiki.debian.org/DebianKernel

-- 
maks





Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Curt Howland <howland@priss.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #172 received at 436267-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 436267-done@bugs.debian.org
Subject: firewire change reverted
Date: Sun, 14 Sep 2008 01:22:44 +0200
Version: 2.6.26-1

The Lenny kernel again ships old-style ieee1394 modules.

Bastian

-- 
	"That unit is a woman."
	"A mass of conflicting impulses."
		-- Spock and Nomad, "The Changeling", stardate 3541.9




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Oct 2008 07:34:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:40:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.